Acknowledge financial posting - Fabric
Acknowledge financial posting
cURL
curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/invoice/post/acknowledge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '\n{
"invoiceId": "123ab",
"acknowledgedAt": "2022-08-01T20:03:28.483971941Z",
"attributes": {}
}
'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/invoice/post/acknowledge"
payload = {
"invoiceId": "123ab",
"acknowledgedAt": "2022-08-01T20:03:28.483971941Z",
"attributes": {}
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
invoiceId: '123ab',
acknowledgedAt: '2022-08-01T20:03:28.483971941Z',
attributes: {}
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/invoice/post/acknowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Possible Responses
- 201 - Acknowledged financial posting
- 400 - Bad Request
- 404 - Invoice not found
- 500 - Internal Server Error
Example of a successful response:
{
"message": "Success"
}
Example of a bad request response:
{
"message": "Bad Request"
}
Authorizations
Authorization Header
- Type: string
- Required: Yes
- Description: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Headers
x-site-context: string (required) - Contains information about the source you wish to pull from. Example:
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
Body
- invoiceId: string (required) - Example: "123ab"
- acknowledgedAt: string
(required) - Example: "2022-08-01T20:03:28.483971941Z" - attributes: object - Attributes
Response
- message: string - Generic response.